- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#body.aspect)
- [RenegotiateChildPublisherAgreementRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#RenegotiateChildPublisherAgreementRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#RenegotiateChildPublisherAgreementRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#try-it)

Batch renegotiates `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` agreements (i.e., invite with updated terms).

Only the agreements of rejected or withdrawn `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`s can be renegotiated. Expired, pending, and accepted `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`s will be ignored.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/childPublishers:batchRenegotiateAgreements`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#RenegotiateChildPublisherAgreementRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchRenegotiateAgreements#RenegotiateChildPublisherAgreementRequest`)`` Required. The requests to renegotiate `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` agreements. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## RenegotiateChildPublisherAgreementRequest

Request message to renegotiate a `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`'s agreement (i.e., invite with updated terms).

| JSON representation |
|---|
| ``` { "name": string, "displayName": string, "emailAddress": string, "network": string, "delegationType": enum (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#DelegationType`), "parentRevenueShareMillipercent": string, "sellerId": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. Resource name of the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` whose agreement is being renegotiated. Format: `networks/{networkCode}/childPublisher/{child_publisher_id}` |
| `displayName` | `string` Optional. The display name to set for the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` whose agreement is being renegotiated. |
| `emailAddress` | `string` Optional. The email address to set for the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` whose agreement is being renegotiated. |
| `network` | `string` Optional. The resource name of the Ad Manager network to set for the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` whose agreement is being renegotiated. This field may not update the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`'s Ad Manager network if it is already associated with one. Format: `networks/{networkCode}` |
| `delegationType` | ``enum (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#DelegationType`)`` Optional. The type of delegation to set for the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` whose agreement is being renegotiated. |
| `parentRevenueShareMillipercent` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The revenue share to set that the parent publisher will receive in millipercent (e.g., 15000 millipercent is %15) for the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` whose agreement is being renegotiated. This field is only settable for Manage Account `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`s of non-reseller parent publishers. Otherwise, it is ignored and always 100%. |
| `sellerId` | `string` Optional. The seller ID to set for the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` whose agreement is being renegotiated. This field is only applicable to Manage Inventory `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`s. |